package messif.objects.annotation;

import messif.objects.LocalAbstractObject;
import messif.objects.classification.ClassificationWithConfidenceBase;
import messif.objects.classification.Classifications;

/**
 * The intermediate and resulting object for the Annotation Framework pipeline.
 *
 * @author Michal Batko <batko@fi.muni.cz>
 */
public class Annotation extends ClassificationWithConfidenceBase<AnnotationTerm> {
    private static final long serialVersionUID = 1L;

    private final LocalAbstractObject annotatedObject;

    public Annotation(LocalAbstractObject annotatedObject) {
        super(AnnotationTerm.class, 0, Float.MAX_VALUE);
        this.annotatedObject = annotatedObject;
    }

    public Annotation(Annotation annotation) {
        this(annotation.getAnnotatedObject());
        this.addAll(annotation);
    }

    public LocalAbstractObject getAnnotatedObject() {
        return annotatedObject;
    }

    @Override
    public String toString() {
        return super.append(new StringBuilder().append("["), Classifications.getSortedCategories(this, true).iterator()).append("]").toString();
    }
}
