package messif.objects.annotation.api;

import messif.objects.annotation.Annotation;
import messif.objects.classification.ClassificationException;
import messif.utility.Parametric;

/**
 * Processes an existing annotation into another one.
 * 
 * @param <I> the type of annotation that this processor accepts as input
 * @param <O> the type of annotation that this processor provides as output
 * @author Michal Batko <batko@fi.muni.cz>
 */
public interface AnnotationProcessor<I extends Annotation, O extends Annotation> extends Annotator<I, O> {
    @Override
    public O classify(I object, Parametric parameters) throws ClassificationException;
}
