package messif.objects.annotation.impl;

import java.util.List;

/**
 * Simple term merger that computes the sum of confidences as the aggregate confidence.
 * 
 * @author Michal Batko <batko@fi.muni.cz>
 */
public class SimpleSumTermMergeReducer extends AbstractTermMergeReducer {
    @Override
    protected float computeAggregateConfidence(List<Float> confidences) {
        float ret = 0;
        for (Float confidence : confidences) {
            if (confidence != null)
                ret += confidence;
        }
        return ret;
    }
}
